Bug 519083 - F12 Alpha - Software Update crash: "no such table: changelog"
Summary: F12 Alpha - Software Update crash: "no such table: changelog"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 01:44 UTC by Justin Clift
Modified: 2014-01-21 23:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-23 10:48:25 UTC


Attachments (Terms of Use)
Screenshot of complete error details (32.11 KB, image/png)
2009-08-25 01:44 UTC, Justin Clift
no flags Details

Description Justin Clift 2009-08-25 01:44:34 UTC
Created attachment 358512 [details]
Screenshot of complete error details

Description of problem:

Fresh installation of Fedora 12 Alpha x86_64.  Running software update gives the error "An internal system error has occurred" while it's "Getting Details".

In the "more details" area, it says it's:

  Error Value: no such table: changelog

Screenshot of the entire error message is attached.


Version-Release number of selected component (if applicable):

Unknown.  Whatever is presently in F12 Alpha.


How reproducible:

Every time Software Update is run.


Steps to Reproduce:
1. Install Fedora 12 Alpha x86_64
2. Launch software update
3. <application crash>
  
Actual results:

Software update crashes


Expected results:

Software update would function


Additional info:

Comment 1 Richard Hughes 2009-08-25 08:57:12 UTC
Thanks, I've fixed this in the following commit:

commit 28ce097757f4ab640e21a595e1d7aae5f2034a5c
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Aug 25 09:55:48 2009 +0100

    yum: protect against broken repo ChangeLog metadata. Fixes rh#519083

Comment 2 Bug Zapper 2009-11-16 11:39:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Roger Larsson 2010-06-14 10:34:22 UTC
Got an error related to this in what I believe to be a proper fc 12
System Monitor says

"Feodora
Release 12 (Constantine)
Kernel Linux 2.6.31.5-127.fc12.x86_64
Gnome 2.28.0"

System->Administration->Software Update gave the message
"no such table: changelog"
all morning - no updates was found. Problem was completely repeatable.
But now when I finally got my Bugzilla user it finds updates... (all 710!)

Strange...


Note You need to log in before you can comment on or make changes to this bug.